Name:           wget2
Version:        1.99.2
Release:        1%{?dist}
Summary:        GNU Wget2 is the successor of GNU Wget, a file and recursive website downloader

License:        LGPLv3
URL:            https://gitlab.com/gnuwget/wget2
Source0:        https://ftp.gnu.org/gnu/wget/%{name}-1.99.2.tar.gz

Provides: libtool
Provides: wget2-debugsource = 1.99.2-1
Provides: wget2-debuginfo = 1.99.2-1
# Versioned libraries
Provides: libwget.so.0
Provides: libwget_alloc.so.0
Provides: libwget_common.so.0
Provides: libwget_css.so.0
Provides: libwget_dns.so.0
Provides: libwget_dnscache.so.0
Provides: libwget_encoding.so.0
Provides: libwget_hashfile.so.0
Provides: libwget_hpkp_db.so.0
Provides: libwget_ip.so.0
Provides: libwget_iri.so.0
Provides: libwget_logger.so.0
Provides: libwget_metalink.so.0

BuildRequires: autoconf
BuildRequires: autogen
BuildRequires: automake
BuildRequires: libtool
BuildRequires: python
BuildRequires: rsync
BuildRequires: tar
BuildRequires: texinfo
BuildRequires: pkg-config >= 0.28

# Documentation build requirements
BuildRequires: doxygen
BuildRequires: pandoc
BuildRequires: gettext >= 0.18.2

BuildRequires: glibc
BuildRequires: zlib >= 1.2.3
BuildRequires: gnutls
BuildRequires: libidn2 >= 0.14
BuildRequires: flex >= 2.5.35
BuildRequires: libpsl >= 0.5.0

# Optional
# HTTP/2 support
BuildRequires: libnghttp2 >= 1.3.0
# run the test suite
BuildRequires: libmicrohttpd >= 0.9.51
# build distribution tarballs
BuildRequires: lzip
# coverage reports
BuildRequires: lcov
# automatic signature verification)
BuildRequires: gpgme >= 0.4.2
# filtering by PCRE regex
BuildRequires: pcre
# HTTP zstd decompression)
BuildRequires: libzstd >= 1.3.0

%description
GNU Wget2 is the successor of GNU Wget, a file and recursive website
downloader.
Designed and written from scratch it wraps around libwget, that provides the
basic functions needed by a web client.
Wget2 works multi-threaded and uses many features to allow fast operation.
In many cases Wget2 downloads much faster than Wget1.x due to HTTP2, HTTP
compression, parallel connections and use of If-Modified-Since HTTP header.


%package devel
Summary: Libraries and header files needed for wget2 development
Requires: %{name} = %{version}

%description devel
Development libraries and headers needed for GNU Wget2.


%prep
%autosetup

%build
%configure
# Remove RPATH
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' libtool
sed -i 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

%make_build

%install
%make_install

%files
%license COPYING.LESSER
%doc README.md
%{_bindir}/%{name}
%{_bindir}/%{name}_noinstall
%{_libdir}/libwget*.so.*
%{_mandir}/man*/*

%files devel
%{_includedir}/wget.h
%{_includedir}/wgetver.h
%{_libdir}/libwget*.a
%{_libdir}/libwget*.la
%{_libdir}/libwget*.so
%{_libdir}/pkgconfig/libwget.pc


%changelog
* Wed Apr  1 2020 Anna Khaitovich <akhaitov@redhat.com> - 1.99.2-1
- Initial package 
